@import "@/styles/variables";

.searchable {
    &-container {
        display: flex;
        gap: 1rem;
        align-items: center;
        width: 100%;
        height: 2.5rem;
    }

    &-dropdown-button {
        background: $gray-200;
        border: none;
        cursor: pointer;
        padding: 0.25rem 1rem;
        height: 2.5rem;
        display: inline-flex;
        gap: 1rem;
        align-items: center;
        justify-content: space-between;
        border-radius: 0.5rem;
        min-width: 100%;

        @include desktop {
            min-width: 710px;
        }

        &-text {
            @include caption-1m;
        }
    }

    &-wrapper {
        position: absolute;
        box-shadow: rgba($blue-dark-gray, 0.12);
        max-height: 50vh;
        top: 155px;
        z-index: 1000;

        @include notebook {
            width: 32.8rem;
            top: 80px;
        }
    }

    &-dropdown {
        max-width: calc(100% - ($padding-sm));
        max-height: 395px;
        background-color: $white;
        overflow-y: auto;
        padding: 8px;

        @include notebook {
            position: absolute;
            width: 100%;
            top: 100%;
            left: 0;
            border-radius: $border-radius;
            padding: 8px;
        }

        ul {
            padding-top: 8px;
            padding-left: 8px;
            list-style: none;
        }

        @include scrollbar-thin;
    }
}
